package de.intevation.gnv.profile.horizontalcrosssection;

import de.intevation.artifacts.ArtifactFactory;

import de.intevation.gnv.artifacts.GNVArtifactBase;

import org.apache.log4j.Logger;

import org.w3c.dom.Document;

/**
 * @author Tim Englich (tim.englich@intevation.de)
 * @author Ingo Weinzierl (ingo.weinzierl@intevation.de)
 */
public class HorizontalCrossSectionMeshArtifact extends GNVArtifactBase {
    /**
     *
     */
    private static final long serialVersionUID = -2687278172203755640L;
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger
            .getLogger(HorizontalCrossSectionMeshArtifact.class);


    /**
     * Constructor
     */
    public HorizontalCrossSectionMeshArtifact() {
        super();
        log.debug("HorizontalCrossSectionMeshArtifact.Constructor");
        this.name = "horizontalCrossSectionMesh";
    }


   /**
    * @see de.intevation.gnv.artifacts.GNVArtifactBase#setup(java.lang.String,
    * de.intevation.artifacts.ArtifactFactory, java.lang.Object,
    * org.w3c.dom.Document)
    */
    @Override
    public void setup(String identifier, ArtifactFactory factory,
                      Object context, Document data) {
        log.debug("HorizontalCrossSectionMeshArtifact.setup");
        super.setup(identifier, factory, context, data);
    }


    @Override
    public void cleanup(Object context) {
        if (current != null)
            current.cleanup(context);

        super.cleanup(context);
    }
}
